> For the complete documentation index, see [llms.txt](https://docs.automateo.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.automateo.app/output-options.md).

# Output Options

At the moment, Automateo offers two output options for your workflows:

1. **Webhook Output**
   * Sends a POST request to your specified server
   * Configuration:
     * Provide the webhook URL where you want to receive the results
   * Payload format:
     * JSON object with keys named after each input node
     * Values are the corresponding outputs from those nodes
   * Example payload:

     ```json
     {
       "input_node_1": "Output from input 1",
       "input_node_2": { "json_value": "Output from input 2" },
       "llm_node_1": "Generated content from LLM"
     }
     ```
2. **Email Output**
   * Sends the workflow results via email
   * Configuration:
     * Requires specific input format in your workflow:
       * `email_to`: Recipient's email address
       * `email_subject`: Subject line of the email
       * `email_body`: Content of the email
   * These fields should be set either in your Input nodes or generated by your LLM nodes
   * When using the email option, the output node can have only one input providing all the required inputs
   * The emails will always be sent from `hi@automateo.aoo`

Choose the output option that best fits your use case and integrate it into your existing systems or processes.

###


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.automateo.app/output-options.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
